| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
OutputStreamAgent Class Reference

`#include <src/PersistencySvc/OutputStreamAgent.h>`

Inheritance diagram for OutputStreamAgent:
[legend]
Collaboration diagram for OutputStreamAgent:
[legend]

## Public Member Functions
| OutputStreamAgent (OutputStream *OutputStream)
| Standard Constructor. More...
| ~OutputStreamAgent () override=default
| Standard Destructor. More...
bool | analyse (IRegistry *dir, int level) override
| Analysis callback. More...
Public Member Functions inherited from IDataStoreAgent
virtual | ~IDataStoreAgent ()=default
| destructor More...

## Private Attributes
OutputStream * | m_OutputStream = nullptr
| Reference to data writer. More...

## Detailed Description

Definition at line 30 of file OutputStreamAgent.h.

## Constructor & Destructor Documentation

OutputStreamAgent::OutputStreamAgent | ( | OutputStream * | OutputStream | ) |

Standard Constructor.

Definition at line 22 of file OutputStreamAgent.cpp.

22 : m_OutputStream( OutputStream ) {}
OutputStreamAgent::m_OutputStream
OutputStream * m_OutputStream
Reference to data writer.
Definition: OutputStreamAgent.h:33

OutputStreamAgent::~OutputStreamAgent | ( |  | ) |
| override default

Standard Destructor.

## Member Function Documentation

bool OutputStreamAgent::analyse | ( | IRegistry * | dir,
|  | int | level
| ) |  |
| override virtual

Analysis callback.

Implements IDataStoreAgent.

Definition at line 25 of file OutputStreamAgent.cpp.

26 {
27 return m_OutputStream->collect( pRegistry, level );
28 }
OutputStream::collect
virtual bool collect(IRegistry *dir, int level)
Store agent&#39;s classback.
Definition: OutputStream.cpp:216
gaudirun.level
level
Definition: gaudirun.py:271
OutputStreamAgent::m_OutputStream
OutputStream * m_OutputStream
Reference to data writer.
Definition: OutputStreamAgent.h:33

## Member Data Documentation

OutputStream* OutputStreamAgent::m_OutputStream = nullptr
| private

Reference to data writer.

Definition at line 33 of file OutputStreamAgent.h.

The documentation for this class was generated from the following files:

- GaudiCommonSvc/src/PersistencySvc/OutputStreamAgent.h
- GaudiCommonSvc/src/PersistencySvc/OutputStreamAgent.cpp